Package org.springframework.security.web.authentication

# Class RequestMatcherDelegatingAuthenticationManagerResolver.Builder

java.lang.Object
org.springframework.security.web.authentication.RequestMatcherDelegatingAuthenticationManagerResolver.Builder

Enclosing class:
  RequestMatcherDelegatingAuthenticationManagerResolver

public static final class RequestMatcherDelegatingAuthenticationManagerResolver.Builder extends Object
A builder for `RequestMatcherDelegatingAuthenticationManagerResolver`.

## Method Summary

Modifier and Type
Method
Description
`RequestMatcherDelegatingAuthenticationManagerResolver.Builder`
`add(RequestMatcher matcher, org.springframework.security.authentication.AuthenticationManager manager)`
Maps a `RequestMatcher` to an `AuthorizationManager`.
`RequestMatcherDelegatingAuthenticationManagerResolver`
`build()`
Creates a `RequestMatcherDelegatingAuthenticationManagerResolver` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public RequestMatcherDelegatingAuthenticationManagerResolver.Builder add(RequestMatcher matcher, org.springframework.security.authentication.AuthenticationManager manager)
Maps a `RequestMatcher` to an `AuthorizationManager`.

Parameters:
  `matcher` - the `RequestMatcher` to use
  `manager` - the `AuthenticationManager` to use
Returns:
  the `RequestMatcherDelegatingAuthenticationManagerResolver.Builder` for further customizationServerWebExchangeDelegatingReactiveAuthenticationManagerResolvers

### build

public RequestMatcherDelegatingAuthenticationManagerResolver build()
Creates a `RequestMatcherDelegatingAuthenticationManagerResolver` instance.

Returns:
  the `RequestMatcherDelegatingAuthenticationManagerResolver` instance